Skip to main content
PATCH
Update workflow rule

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workflowRule
string<uuid>
required

The workflow rule ID

Body

application/json
name
string
Maximum string length: 255
provider_slug
string | null
event
enum<string>
Available options:
run_completes,
run_fails,
run_skipped,
any,
ping
ping_target_id
string<uuid> | null
condition_operator
enum<string>
Available options:
and,
or
is_active
boolean
cooldown_minutes
integer
Required range: 0 <= x <= 10080
conditions
object[]
actions
object[]
Minimum array length: 1

Response

WorkflowRuleResource

data
WorkflowRuleResource · object
required
success
boolean
required
code
integer
required
message
string
required
Allowed value: "Workflow rule updated successfully."